<?php

/**
 * Template part for displaying Video Format
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package cat_groomer
 */

?>
<?php $cat_groomer_readmore = get_theme_mod( 'cat_groomer_readmore_button_text','Read More');?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="mag-post-single">
        <?php
			// Get the post ID
			$cat_groomer_post_id = get_the_ID();

			// Check if there are videos embedded in the post content
			$cat_groomer_post = get_post($cat_groomer_post_id);
			$cat_groomer_content = do_shortcode(apply_filters('the_content', $cat_groomer_post->post_content));
			$cat_groomer_embeds = get_media_embedded_in_content($cat_groomer_content);

			if (!empty($cat_groomer_embeds)) {
			    // Loop through embedded media and display videos
			    foreach ($cat_groomer_embeds as $cat_groomer_embed) {
			        // Check if the embed code contains a video tag or specific video providers like YouTube or Vimeo
			        if (strpos($cat_groomer_embed, 'video') !== false || strpos($cat_groomer_embed, 'youtube') !== false || strpos($cat_groomer_embed, 'vimeo') !== false || strpos($cat_groomer_embed, 'dailymotion') !== false || strpos($cat_groomer_embed, 'vine') !== false || strpos($cat_groomer_embed, 'wordPress.tv') !== false || strpos($cat_groomer_embed, 'hulu') !== false) {
			            ?>
			            <div class="custom-embedded-video">
			                <div class="video-container">
			                    <?php echo $cat_groomer_embed; ?>
			                </div>
			                <div class="video-comments">
			                    <?php
			                    // Add your comments section here
			                    comments_template(); // This will include the default WordPress comments template
			                    ?>
			                </div>
			            </div>
			            <?php
			        }
			    }
			}
	    ?>
		<div class="mag-post-detail">
			<div class="mag-post-category">
				<?php cat_groomer_categories_list(); ?>
			</div>
			<?php
			if ( is_singular() ) :
				the_title( '<h1 class="entry-title mag-post-title">', '</h1>' );
			else :
				if ( get_theme_mod( 'cat_groomer_post_hide_post_heading', true ) ) { 
					the_title( '<h2 class="entry-title mag-post-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			    }
			endif;
			?>
			<div class="mag-post-meta">
				<?php
				cat_groomer_posted_on();
				cat_groomer_posted_by();
				cat_groomer_posted_comments();
				cat_groomer_posted_time();
				?>
			</div>
			<?php if ( get_theme_mod( 'cat_groomer_post_hide_post_content', true ) ) { ?>
				<div class="mag-post-excerpt">
					<?php the_excerpt(); ?>
				</div>
		    <?php } ?>
			<?php if ( get_theme_mod( 'cat_groomer_post_readmore_button', true ) === true ) : ?>
				<div class="mag-post-read-more">
					<a href="<?php the_permalink(); ?>" class="read-more-button">
						<?php if ( ! empty( $cat_groomer_readmore ) ) { ?> <?php echo esc_html( $cat_groomer_readmore ); ?> <?php } ?>
						<i class="<?php echo esc_attr( get_theme_mod( 'cat_groomer_readmore_btn_icon', 'fas fa-chevron-right' ) ); ?>"></i>
					</a>
				</div>
			<?php endif; ?>
		</div>
	</div>

</article><!-- #post-<?php the_ID(); ?> -->